Skip to Content

Disable an installation

Stops the installation at once: its events stop, and its credential is refused on every surface until it is enabled again.

POST
/v1/extension-installations/{id}/disable

Stops the installation at once: its events stop, and its credential is refused on every surface until it is enabled again.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^exti_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

ExtensionInstallation

application/json
  1. response
id*ExtensionInstallationId
Match^exti_[0-9a-hjkmnp-tv-z]{16,24}$
extensionId*ExtensionId
Match^ext_[0-9a-hjkmnp-tv-z]{16,24}$
name*string
displayName*string
version*
runtime*string
Value in"hosted""webhook"
status*string
Value in"active""disabled"
createdAt*string
events*array<>
permissions*array<>
policy*
scope*
webhook*|null
updatedAt*string
disabledAt*string|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.extensionInstallations.disable({
  "id": "example"
});
Example Response
{
  "id": "string",
  "extensionId": "string",
  "name": "string",
  "displayName": "string",
  "version": {
    "id": "string",
    "version": "string"
  },
  "runtime": "hosted",
  "status": "active",
  "createdAt": "string",
  "events": [
    "mailbox.message.received"
  ],
  "permissions": [
    "read"
  ],
  "policy": {
    "presets": [
      "string"
    ],
    "rules": [
      {
        "match": {
          "kind": "send",
          "effect": "read",
          "channel": "sms",
          "integration": "string",
          "tool": "string",
          "subject": "agent"
        },
        "note": "string",
        "decide": "run",
        "atLeast": null
      }
    ],
    "instructions": "string"
  },
  "scope": {
    "mailboxIds": [
      "string"
    ],
    "namespaceId": "string"
  },
  "webhook": {
    "endpointId": "string",
    "url": "string"
  },
  "updatedAt": "string",
  "disabledAt": "string"
}

Related documentation